Agora Java API Reference for Android

Public Types | Public Attributes | List of all members
agora::rtc::SegmentationProperty Struct Reference

Processing properties for background images. More...

`#include <AgoraBase.h>`

## Public Types
enum | SEG_MODEL_TYPE { SEG_MODEL_AI = 1, SEG_MODEL_GREEN = 2 }
| The type of algorithms to user for background processing. More...
enum | SCREEN_COLOR_TYPE { SCREEN_COLOR_AUTO = 0, SCREEN_COLOR_GREEN = 1, SCREEN_COLOR_BLUE = 2 }
| Screen color type. More...

## Public Attributes
SEG_MODEL_TYPE | modelType
float | greenCapacity
SCREEN_COLOR_TYPE | screenColorType

## Detailed Description

Processing properties for background images.

## Member Enumeration Documentation

## ◆ SEG_MODEL_TYPE

enum agora::rtc::SegmentationProperty::SEG_MODEL_TYPE

The type of algorithms to user for background processing.

Enumerator
SEG_MODEL_AI | 1: (Default) Use the algorithm suitable for all scenarios.
SEG_MODEL_GREEN | 2: Use the algorithm designed specifically for scenarios with a green screen background.

## ◆ SCREEN_COLOR_TYPE

enum agora::rtc::SegmentationProperty::SCREEN_COLOR_TYPE

Screen color type.

Enumerator
SCREEN_COLOR_AUTO | (0): Automatically selects screen color.
SCREEN_COLOR_GREEN | (1): Green screen.
SCREEN_COLOR_BLUE | (2): Blue screen.

## Member Data Documentation

## ◆ modelType

SEG_MODEL_TYPE agora::rtc::SegmentationProperty::modelType

The type of algorithms to user for background processing. See `SEG_MODEL_TYPE`.

## ◆ greenCapacity

float agora::rtc::SegmentationProperty::greenCapacity

The accuracy range for recognizing background colors in the image. The value range is [0,1], and the default value is 0.5. The larger the value, the wider the range of identifiable shades of pure color. When the value of this parameter is too large, the edge of the portrait and the pure color in the portrait range are also detected. Agora recommends that you dynamically adjust the value of this parameter according to the actual effect.

Note
  This parameter only takes effect when `modelType` is set to `SEG_MODEL_GREEN`.

## ◆ screenColorType

SCREEN_COLOR_TYPE agora::rtc::SegmentationProperty::screenColorType

The screen color. See `SCREEN_COLOR_TYPE`.